evhtp_t Struct Reference

main structure containing all configuration information More...

`#include <evhtp.h>`

## Public Member Functions

| TAILQ_HEAD (, evhtp_alias) aliases
| TAILQ_HEAD (, evhtp) vhosts
| TAILQ_ENTRY (evhtp) next_vhost

## Data Fields

evhtp_t * | parent
| only when this is a vhost
struct event_base * | evbase
| the initialized event_base
struct evconnlistener * | server
| the libevent listener struct
char * | server_name
| the name included in Host: responses
void * | arg
| user-defined evhtp_t specific arguments
int | bev_flags
| bufferevent flags to use on bufferevent_*_socket_new()
uint64_t | max_body_size
uint64_t | max_keepalive_requests
uint16_t | flags
| the base flags set for this context, see: EVHTP_FLAG_*
uint16_t | parser_flags
| default query flags to alter 'strictness' (see EVHTP_PARSE_QUERY_FLAG_*)
evhtp_ssl_ctx_t * | ssl_ctx
| if ssl enabled, this is the servers CTX
evhtp_ssl_cfg_t * | ssl_cfg
evthr_pool_t * | thr_pool
| connection threadpool
pthread_mutex_t * | lock
| parent lock for add/del cbs in threads
evhtp_thread_init_cb | thread_init_cb
evhtp_thread_exit_cb | thread_exit_cb
void * | thread_cbarg
evhtp_callbacks_t * | callbacks
evhtp_defaults_t | defaults
struct timeval | recv_timeo
struct timeval | send_timeo

## Detailed Description

main structure containing all configuration information

Definition at line 283 of file evhtp/evhtp.h.

## Member Function Documentation

## TAILQ_ENTRY()

evhtp_t::TAILQ_ENTRY | ( | evhtp |  | ) |

## TAILQ_HEAD() [1/2]

evhtp_t::TAILQ_HEAD | ( | evhtp |  | ) |

## TAILQ_HEAD() [2/2]

evhtp_t::TAILQ_HEAD | ( | evhtp_alias |  | ) |

## Field Documentation

## arg

void* evhtp_t::arg

user-defined evhtp_t specific arguments

Definition at line 288 of file evhtp/evhtp.h.

## bev_flags

int evhtp_t::bev_flags

bufferevent flags to use on bufferevent_*_socket_new()

Definition at line 289 of file evhtp/evhtp.h.

## callbacks

evhtp_callbacks_t* evhtp_t::callbacks

Definition at line 324 of file evhtp/evhtp.h.

## defaults

evhtp_defaults_t evhtp_t::defaults

Definition at line 325 of file evhtp/evhtp.h.

## evbase

struct event_base* evhtp_t::evbase

the initialized event_base

Definition at line 285 of file evhtp/evhtp.h.

## flags

uint16_t evhtp_t::flags

the base flags set for this context, see: EVHTP_FLAG_*

Definition at line 303 of file evhtp/evhtp.h.

## lock

pthread_mutex_t* evhtp_t::lock

parent lock for add/del cbs in threads

Definition at line 313 of file evhtp/evhtp.h.

## max_body_size

uint64_t evhtp_t::max_body_size

Definition at line 290 of file evhtp/evhtp.h.

## max_keepalive_requests

uint64_t evhtp_t::max_keepalive_requests

Definition at line 291 of file evhtp/evhtp.h.

## parent

evhtp_t* evhtp_t::parent

only when this is a vhost

Definition at line 284 of file evhtp/evhtp.h.

## parser_flags

uint16_t evhtp_t::parser_flags

default query flags to alter 'strictness' (see EVHTP_PARSE_QUERY_FLAG_*)

Definition at line 304 of file evhtp/evhtp.h.

## recv_timeo

struct timeval evhtp_t::recv_timeo

Definition at line 327 of file evhtp/evhtp.h.

## send_timeo

struct timeval evhtp_t::send_timeo

Definition at line 328 of file evhtp/evhtp.h.

## server

struct evconnlistener* evhtp_t::server

the libevent listener struct

Definition at line 286 of file evhtp/evhtp.h.

## server_name

char* evhtp_t::server_name

the name included in Host: responses

Definition at line 287 of file evhtp/evhtp.h.

## ssl_cfg

evhtp_ssl_cfg_t* evhtp_t::ssl_cfg

Definition at line 308 of file evhtp/evhtp.h.

## ssl_ctx

evhtp_ssl_ctx_t* evhtp_t::ssl_ctx

if ssl enabled, this is the servers CTX

Definition at line 307 of file evhtp/evhtp.h.

## thr_pool

evthr_pool_t* evhtp_t::thr_pool

connection threadpool

Definition at line 312 of file evhtp/evhtp.h.

## thread_cbarg

void* evhtp_t::thread_cbarg

Definition at line 322 of file evhtp/evhtp.h.

## thread_exit_cb

evhtp_thread_exit_cb evhtp_t::thread_exit_cb

Definition at line 316 of file evhtp/evhtp.h.

## thread_init_cb

evhtp_thread_init_cb evhtp_t::thread_init_cb

Definition at line 315 of file evhtp/evhtp.h.

The documentation for this struct was generated from the following file:

- evhtp/evhtp.h